package jp.mosp.common.dto;

import jp.mosp.common.common.BaseDto;

public class CtWorkflowCommentDto extends BaseDto {

	private static final long serialVersionUID = 3241604511136459731L;

	// フィールド
	private long 	commentid 		= 0;	//コメントID
	private long 	workflow 		= 0;	//ワークフロー番号
	private String 	kcode 			= "";	//社員コード
	private String 	target 			= "";	//対象者
	private String 	authorcomment 	= "";	//コメント
	private int 	deleteflag 		= 0;	//削除フラグ

	/**
	 * コンストラクタ
	 */
	public CtWorkflowCommentDto(){
		super();
	}

	// アクセサメソッド
	public long 	getCommentId() 		{ return commentid 		; }	//コメントID
	public long 	getWorkflow() 		{ return workflow 		; }	//ワークフロー番号
	public String 	getKCode() 			{ return kcode 			; }	//社員コード
	public String 	getTarget() 		{ return target 		; }	//対象者
	public String 	getAuthorComment()	{ return authorcomment 	; }	//コメント
	public int 	getDeleteFlag() 	{ return deleteflag 	; }	//削除フラグ

	public void setCommentId 		(long 	commentid		) { this.commentid 		= commentid 	; }	//コメントID
	public void setWorkflow 		(long 	workflow		) { this.workflow 		= workflow 		; }	//ワークフロー番号
	public void setKCode 			(String kcode			) { this.kcode 			= kcode 		; }	//社員コード
	public void setTarget 			(String target			) { this.target 		= target 		; }	//対象者
	public void setAuthorComment 	(String authorcomment	) { this.authorcomment 	= authorcomment ; }	//コメント
	public void setDeleteFlag 		(int 	deleteflag		) { this.deleteflag 	= deleteflag 	; }	//削除フラグ

}
